Update cardholder profile
curl --request PATCH \
--url https://business.planewallet.org/api/v1/holders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"address2": "<string>",
"phone": "<string>"
}
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {
firstName: '<string>',
lastName: '<string>',
billingAddress: {
address1: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip: '<string>',
address2: '<string>',
phone: '<string>'
}
}
})
};
fetch('https://business.planewallet.org/api/v1/holders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/holders/{id}"
payload = { "profile": {
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"address2": "<string>",
"phone": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"email": "<string>",
"kind": "<string>",
"status": "<string>",
"externalId": "<string>",
"profile": {
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"address2": "<string>",
"phone": "<string>"
}
}
}{
"statusCode": 123,
"message": "<string>"
}Cardholders
Update cardholder profile
Required permission: holders:write. Updating a live holder profile requires a new verification review and is blocked while issuance is pending. Objects are scoped to the authenticated company and environment.
PATCH
/
api
/
v1
/
holders
/
{id}
Update cardholder profile
curl --request PATCH \
--url https://business.planewallet.org/api/v1/holders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"address2": "<string>",
"phone": "<string>"
}
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {
firstName: '<string>',
lastName: '<string>',
billingAddress: {
address1: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip: '<string>',
address2: '<string>',
phone: '<string>'
}
}
})
};
fetch('https://business.planewallet.org/api/v1/holders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/holders/{id}"
payload = { "profile": {
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"address2": "<string>",
"phone": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"email": "<string>",
"kind": "<string>",
"status": "<string>",
"externalId": "<string>",
"profile": {
"firstName": "<string>",
"lastName": "<string>",
"billingAddress": {
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"address2": "<string>",
"phone": "<string>"
}
}
}{
"statusCode": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes